// spacing based on site spacing variables
@each $dir, $val in $site-padding {
  @for $i from 1 to 4 {
    .is-padded {
      &\:site-#{$dir}_#{$i} {
        padding-#{$dir}: $val * $i;
      }
    }
    .is-margined {
      &\:site-#{$dir}_#{$i} {
        margin-#{$dir}: $val * $i;
      }
    }
  }
}

.is-fullwidth {
  width: 100%;
}
.scroll-snap {
  // scroll-behavior: smooth;
  &-x {
    scroll-snap-type: x mandatory;
  }
  &-y {
    scroll-snap-type: y mandatory;
  }
  & > .scroll-item {
    flex: 0 0 auto;
    &:nth-child(2) {
      @media all and (min-width: 1025px) {
        margin: 0 2.5rem;
      }
    }
  }
}
.overflow-scroll {
  &-x {
    overflow-x: scroll;
    scrollbar-width: none;

    &::-webkit-scrollbar {
      width: 0;
      background: transparent;
      -webkit-appearance: none;
      display: none;
    }

    & > .scroll-item {
      flex-shrink: 0;
      flex-basis: 68%;
      @media all and (min-width: 600px) {
        flex-basis: 32%;
      }
      @media all and (min-width: 769px) {
        max-width: 32.1vw;
        flex-basis: auto;
      }
      &:nth-child(2) {
        margin: 0 0.8rem;
        @media all and (min-width: 769px) {
          margin: 0;
        }
      }
    }
  }
}
